DMTextInternal::State Struct Reference

Internal: the state of a DMText. More...

## Public Member Functions

| State ()
| constructor More...
Zone & | getZone (int id)
| returns the zone corresponding to an id More...

## Public Attributes

int | m_version
| the file version More...
int | m_numPages
int | m_actualPage
double | m_pageWidth
| the page width ( not really define so default value 8.5) More...
std::map< int, Zone > | m_idZoneMap
| the map of id -> text zone More...
Footer | m_footer
| the footer More...
TOC | m_toc
| the table of content More...

## Detailed Description

Internal: the state of a DMText.

## Constructor & Destructor Documentation

DMTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

Zone& DMTextInternal::State::getZone | ( | int | id | ) |

inline

returns the zone corresponding to an id

## Member Data Documentation

int DMTextInternal::State::m_actualPage

Footer DMTextInternal::State::m_footer

the footer

std::map<int, Zone > DMTextInternal::State::m_idZoneMap

the map of id -> text zone

Referenced by getZone().

int DMTextInternal::State::m_numPages

double DMTextInternal::State::m_pageWidth

the page width ( not really define so default value 8.5)

TOC DMTextInternal::State::m_toc

the table of content

int DMTextInternal::State::m_version

mutable

the file version

The documentation for this struct was generated from the following file:

- DMText.cxx